[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: to devs: please provide binaries for 1.5-beta

From: Stefan Sperling <stsp_at_elego.de>
Date: Thu, 3 Apr 2008 16:35:54 +0200

On Thu, Apr 03, 2008 at 03:55:41PM +0200, Lustig, Marc (Allianz Deutschland AG) wrote:
> I read previous posts from people who couldn't build the 1.5-beta, so I was just reciting ;-)
> Having installed zlib1g-dev, I still get the same message.

The very same message?

You should of course remove your custom zlib install, install zlib-dev
(which you already did), remove your subversion-1.5-beta1 source tree
and start from scratch, all over again.

Otherwise your subversion build will keep trying to link to your
custom (and broken) zlib library.

> I think the problem is related to what is described here: http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3
>
> Recompiling zlib using -fPIC flag seems to require to modify the zlib Makefile

I would try compiling against the zlib library provided by the
distribution before compiling it myself. You're using Debian,
not Gentoo, right?

-- 
Stefan Sperling <stsp_at_elego.de>                 Software Developer
elego Software Solutions GmbH                            HRB 77719
Gustav-Meyer-Allee 25, Gebaeude 12        Tel:  +49 30 23 45 86 96 
13355 Berlin                              Fax:  +49 30 23 45 86 95
http://www.elego.de                 Geschaeftsfuehrer: Olaf Wagner

  • application/pgp-signature attachment: stored
Received on 2008-04-03 16:36:39 CEST

This is an archived mail posted to the Subversion Users mailing list.